﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SilverlightApplication1
{
    public class NameList : ObservableCollection<PersonName>
    {
        public NameList()
            : base()
        {
            Add(new PersonName("XX", "11") { Status = 1 });
            Add(new PersonName("WW", "22") { Status = 2 });
            Add(new PersonName("AA", "33") { Status = 1 });
            Add(new PersonName("QQ", "44") { Status = 2 });
            Add(new PersonName("RR", "55") { Status = 1 });
        }
    }

    public class PersonName : INotifyPropertyChanged
    {
        public PersonName(string first, string last)
        {
            this.firstName = first;
            this.lastName = last;
        }


        private String firstName;
        /// <summary>
        ///     Gets or sets the first name.
        /// </summary>
        public String FirstName
        {
            get
            {
                return this.firstName;
            }
            set
            {
                if (this.firstName != value)
                {
                    this.firstName = value;
                    OnPropertyChanged("FirstName");
                }
            }
        }



        private String lastName;
        /// <summary>
        ///     Gets or sets the last name.
        /// </summary>
        public String LastName
        {
            get
            {
                return this.lastName;
            }
            set
            {
                if (this.lastName != value)
                {
                    this.lastName = value;
                    OnPropertyChanged("LastName");
                }
            }
        }

        private int status;
        /// <summary>
        ///     Gets or sets the last name.
        /// </summary>
        public int Status
        {
            get
            {
                return this.status;
            }
            set
            {
                if (this.status != value)
                {
                    this.status = value;
                    OnPropertyChanged("Status");
                }
            }
        }


        /// <summary>
        ///     Event for INotifyPropertyChanged.
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged;

        /// <summary>
        ///     Raises the INotifyPropertyChanged event.
        /// </summary>
        /// <param name="propertyName">The property to be included in the INotifyPropertyChanged EventArgs.</param>
        protected virtual void OnPropertyChanged(String propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }

}